## GimpScanner GimpScanner — A wrapper around GScanner with some convenience API. |

## Functions

GScanner * | gimp_scanner_new_file ()
GScanner * | gimp_scanner_new_string ()
void | gimp_scanner_destroy ()
gboolean | gimp_scanner_parse_token ()
gboolean | gimp_scanner_parse_identifier ()
gboolean | gimp_scanner_parse_string ()
gboolean | gimp_scanner_parse_string_no_validate ()
gboolean | gimp_scanner_parse_data ()
gboolean | gimp_scanner_parse_int ()
gboolean | gimp_scanner_parse_float ()
gboolean | gimp_scanner_parse_boolean ()
gboolean | gimp_scanner_parse_color ()
gboolean | gimp_scanner_parse_matrix2 ()

## Description

A wrapper around GScanner with some convenience API.

## Functions

### gimp_scanner_new_file ()

    GScanner *
    gimp_scanner_new_file (const gchar *filename,
                           GError **error);

#### Returns

Since GIMP 2.4

### gimp_scanner_new_string ()

    GScanner *
    gimp_scanner_new_string (const gchar *text,
                             gint text_len,
                             GError **error);

#### Returns

Since GIMP 2.4

### gimp_scanner_destroy ()

    void
    gimp_scanner_destroy (GScanner *scanner);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |

Since GIMP 2.4

### gimp_scanner_parse_token ()

    gboolean
    gimp_scanner_parse_token (GScanner *scanner,
                              GTokenType token);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
token | Return location for the parsed token |

#### Returns

`TRUE` on success

Since GIMP 2.4

### gimp_scanner_parse_identifier ()

    gboolean
    gimp_scanner_parse_identifier (GScanner *scanner,
                                   const gchar *identifier);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
identifier | Return location for the parsed identifier |

#### Returns

`TRUE` on success

Since GIMP 2.4

### gimp_scanner_parse_string ()

    gboolean
    gimp_scanner_parse_string (GScanner *scanner,
                               gchar **dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed string |

#### Returns

`TRUE` on success

Since GIMP 2.4

### gimp_scanner_parse_string_no_validate ()

    gboolean
    gimp_scanner_parse_string_no_validate (GScanner *scanner,
                                           gchar **dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed string |

#### Returns

`TRUE` on success

Since GIMP 2.4

### gimp_scanner_parse_data ()

    gboolean
    gimp_scanner_parse_data (GScanner *scanner,
                             gint length,
                             guint8 **dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
length | Length of tha data to parse |
dest | Return location for the parsed data |

#### Returns

`TRUE` on success

Since GIMP 2.4

### gimp_scanner_parse_int ()

    gboolean
    gimp_scanner_parse_int (GScanner *scanner,
                            gint *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed integer |

#### Returns

`TRUE` on success

Since GIMP 2.4

### gimp_scanner_parse_float ()

    gboolean
    gimp_scanner_parse_float (GScanner *scanner,
                              gdouble *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed float |

#### Returns

`TRUE` on success

Since GIMP 2.4

### gimp_scanner_parse_boolean ()

    gboolean
    gimp_scanner_parse_boolean (GScanner *scanner,
                                gboolean *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed boolean |

#### Returns

`TRUE` on success

Since GIMP 2.4

### gimp_scanner_parse_color ()

    gboolean
    gimp_scanner_parse_color (GScanner *scanner,
                              GimpRGB *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Pointer to a color to store the result |

#### Returns

`TRUE` on success

Since GIMP 2.4

### gimp_scanner_parse_matrix2 ()

    gboolean
    gimp_scanner_parse_matrix2 (GScanner *scanner,
                                GimpMatrix2 *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Pointer to a matrix to store the result |

#### Returns

`TRUE` on success

Since GIMP 2.4

## Types and Values